Skip to main content
GET
List Members or Get a Member

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

product_id
string
offer_id
string
page
integer
default:1
id
string

If provided, returns the member with this ID instead of a list.

email
string

If provided (and id not given), returns the member with this email instead of a list.

min_points
number

Minimum all-time points, inclusive. Members without points count as zero. Requires leaderboards to be enabled. Omit or leave blank for no minimum.

Required range: x >= 0
max_points
number

Maximum all-time points, inclusive. Requires leaderboards to be enabled. Omit or leave blank for no maximum.

Required range: x >= 0
min_level
number

Minimum current level, inclusive. Members without level history count as level 1. Requires levels to be enabled. Omit or leave blank for no minimum.

Required range: x >= 0
max_level
number

Maximum current level, inclusive. Requires levels to be enabled. Omit or leave blank for no maximum.

Required range: x >= 0
min_coaching_used
number

Minimum coaching usage, inclusive. Requires coaching_type_id. Measured in hours for timed coaching or sessions otherwise, including future published appointments. No appointments count as zero. Omit or leave blank for no minimum.

Required range: x >= 0
max_coaching_used
number

Maximum coaching usage, inclusive. Requires coaching_type_id. Measured in hours for timed coaching or sessions otherwise, including future published appointments. No appointments count as zero. Omit or leave blank for no maximum.

Required range: x >= 0
consultation_category_id
string

Filter by current offer access to this consultation category. Excludes expired, inactive or deleted accesses and deleted offers. Subscriptions must be active or trialing. Omit or leave blank for no filter.

live_category_id
string

Filter by current offer access to this live category. Excludes expired, inactive or deleted accesses and deleted offers. Subscriptions must be active or trialing. Omit or leave blank for no filter.

coaching_type_id
string

Filter by current offer access to this coaching type. Excludes expired, inactive or deleted accesses and deleted offers. Subscriptions must be active or trialing. Omit or leave blank for no filter.

ai_assistant_id
string

Filter by current offer access to this AI coach. Excludes expired, inactive or deleted accesses and deleted offers. Subscriptions must be active or trialing. Omit or leave blank for no filter.

Response

List of members (when no id/email) or a single member (when id/email provided).

members
object[]

25 members per page.

pagination
object